aboutsummaryrefslogtreecommitdiffstats
path: root/eclipse/scripts
diff options
context:
space:
mode:
authorRaphael Moll <ralf@android.com>2010-08-16 13:41:57 -0700
committerRaphael Moll <ralf@android.com>2010-08-16 13:46:57 -0700
commitd5a205d478cf45340e5caff85b1199c8fb35ba03 (patch)
tree06d14a0e1f7bbf4f3df6ba59c722a182e71f7ba8 /eclipse/scripts
parent1cfea05df04b8cff0fc4d2d9ee62e58009e4e35f (diff)
downloadsdk-d5a205d478cf45340e5caff85b1199c8fb35ba03.zip
sdk-d5a205d478cf45340e5caff85b1199c8fb35ba03.tar.gz
sdk-d5a205d478cf45340e5caff85b1199c8fb35ba03.tar.bz2
ADT-Tests: add external/easymock to the classpath.
Change-Id: I892f686b98efad14ac5de932030238116bf0d3d4
Diffstat (limited to 'eclipse/scripts')
-rwxr-xr-xeclipse/scripts/create_test_symlinks.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/eclipse/scripts/create_test_symlinks.sh b/eclipse/scripts/create_test_symlinks.sh
index 2ff87a2..9a9849a 100755
--- a/eclipse/scripts/create_test_symlinks.sh
+++ b/eclipse/scripts/create_test_symlinks.sh
@@ -35,18 +35,34 @@ BASE="sdk/eclipse/plugins/com.android.ide.eclipse.tests"
DEST=$BASE
BACK=`back $DEST`
+LIBS="easymock"
+
+echo "make java libs ..."
+make -j3 showcommands $LIBS || die "ADT: Fail to build one of $LIBS."
+
+echo "Copying java libs to $DEST"
+
HOST=`uname`
if [ "$HOST" == "Linux" ]; then
+ for LIB in $LIBS; do
+ ln -svf $BACK/out/host/linux-x86/framework/$LIB.jar "$DEST/"
+ done
ln -svf $BACK/out/host/linux-x86/framework/kxml2-2.3.0.jar "$DEST/"
ln -svf $BACK/out/host/linux-x86/framework/layoutlib.jar "$DEST/"
ln -svf $BACK/out/host/linux-x86/framework/groovy-all-1.7.0.jar "$DEST/"
elif [ "$HOST" == "Darwin" ]; then
+ for LIB in $LIBS; do
+ ln -svf $BACK/out/host/darwin-x86/framework/$LIB.jar "$DEST/"
+ done
ln -svf $BACK/out/host/darwin-x86/framework/kxml2-2.3.0.jar "$DEST/"
ln -svf $BACK/out/host/darwin-x86/framework/layoutlib.jar "$DEST/"
ln -svf $BACK/out/host/darwin-x86/framework/groovy-all-1.7.0.jar "$DEST/"
elif [ "${HOST:0:6}" == "CYGWIN" ]; then
+ for LIB in $LIBS; do
+ cp -vf out/host/windows-x86/framework/$LIB.jar "$DEST/"
+ done
if [ ! -f "$DEST/kxml2-2.3.0.jar" ]; then
cp -v "prebuilt/common/kxml2/kxml2-2.3.0.jar" "$DEST/"
fi